Update Units of Measurement Settings
Update settings for units of measurements.
The endpoint does not support partial updates. Provide all fields to update global or channel-level settings.
Create channel-level settings, or overrides for a channel, using the channel_id query parameter.
To delete overrides for a channel, supply null as a value for all fields. A channel then inherits global values.
The endpoint does not support ‘null’ as a value for global-level settings.
Authentication
OAuth scopes
NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Query parameters
Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.
Request
Response
OK. When you request channel-level settings, null indicates that a channel does not have overrides.